// pages/interview-reg/index.js
import { webViewUrl } from '../../config/config'
Page({
	/**
	 * 页面的初始数据
	 */
	data: {
		show: false,
		options: {},
		url: "",
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad(options) {
		this.setData({
			options: Object.fromEntries([decodeURIComponent(options.scene).split('=')]),
		});
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady() { },

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow() {
		if (wx.getStorageSync("user_id") && wx.getStorageSync("user_token") && wx.getStorageSync("member_id")) {
			const options = this.data.options;
			if (options.url) {
				const data = Object.assign({}, options)
				data.phone = wx.getStorageSync('phone')
				data.memberId = wx.getStorageSync('member_id')
				data.t = new Date().getTime()
				data.shortUrl = data.url
				delete data.url
				this.setData({
					show: true,
					url: webViewUrl + '/#/index' + '?' + Object.keys(data).map(value => [value, data[value]]).map(val => val.join('=')).join('&'),
				});
			}
		} else {
			wx.showModal({
				title: '提示',
				content: '你还未登录，请先登录小程序',
				showCancel: false,
				success: res => {
					if (res.confirm) {
						wx.navigateTo({
							url: '/pages/login/login',
						})
					}
				}
			})
		}

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide() { },

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload() { },

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh() { },

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom() { },

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage() { },
});